Subject: Re: known working sata_sil24.c setup on powerpc platforms?

From: Felix Radensky <[email-masked]>
Date: Thu, 07 Apr 2011 00:05:59 +0300

Hi Leon,

On 04/06/2011 11:58 PM, Leon Woestenberg wrote:
> Hello Felix,
>
> On Wed, Apr 6, 2011 at 10:49 PM, Felix Radensky<[email-masked]>  wrote:
>> I think there's a hardware problem with mini PCI-E slot
>> on P2020RDB related to legacy IRQ routing. See this
>> thread for details
>> http://www.mail-archive.com/[email-masked]/msg40037.html
>>
>
> Unfortunately the PCIe is slot already occupied, so that's why I
> searched for and found the Mini PCIe Sil3132 card.
>
> Legacy IRQ routing on PCIe is broken in what sense? Software (device
> tree, kernel) or silicon (p2020) ?

It's a board design problem specific to P2020RDB. Maybe it's
fixed in latest board revisions. I have P2020RDB rev C and the
problem is still there. Freescale people on the list should know
better.

> On the MSI side, I'm getting quite far on transfers, but at one point
> the device stalls. Maybe a race condition in interrupt handling in
> sata_sil24.c?

Sorry, cannot help you with that. I have no experience with
sata_sil24.

Felix.